using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Web.Security;

public partial class Secure : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
	    //kontrola biletu
	    try
	    {
	        FormsIdentity tozsamosc=(FormsIdentity)HttpContext.Current.User.Identity;
            Label1.Text += tozsamosc.Name;
	    }
	    catch
	    {
    		Response.Redirect("Logowanie.aspx?ReturnUrl=Secure.aspx");
	    }
    }
}
